%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"
%define mname pygpgme

Name:           python-gpgme
Version:        0.3
Release:        %mkrel 1
Summary:        Python module for working with OpenPGP messages

Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.python.org/pypi/pygpgme/0.3
#Source0:        http://pypi.python.org/packages/source/p/%{mname}/%{mname}-%{version}.tar.gz
# PCLinuxOS policy is to recompress to tar.xz
Source0:        %{mname}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  python-devel
BuildRequires:  gpgme-devel

# Prevent provides from being generated in non-standard paths
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%package -n python3-gpgme
Summary:        Python 3 module for working with OpenPGP messages
Group:	        Development/Python
BuildRequires:  python3-devel

%description -n python3-gpgme
PyGPGME is a Python 3 module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.

%prep
%setup -q -n %{mname}-%{version}
cp -a . %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

pushd %{py3dir} 
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# No need to ship the tests
rm -rf $RPM_BUILD_ROOT/%{python_sitearch}/gpgme/tests
rm -rf $RPM_BUILD_ROOT/%{python3_sitearch}/gpgme/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README PKG-INFO
%{python_sitearch}/*

%files -n python3-gpgme
%defattr(-,root,root,-)
%{python3_sitearch}/*

%changelog
* Sun Dec  7 2015 Conan Kudo <Conan Kudo> 0.3-1pclos2015
- Update to 0.3
- drop unneeded patches
- Add Python3 version

